<!DOCTYPE html>
<html lang="fr">
<head>
    <?= $this->Html->charset() ?>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>
        <?php echo $title;?>
    </title>
    <?= $this->Html->meta('icon') ?>
    <?= $this->Html->css('bootstrap.min') ?>
    <?= $this->Html->css('main') ?>
    <?= $this->Html->css('fontawsome') ?>
    <?= $this->Html->script('bootstrap.min') ?>
    <?= $this->Html->script('jquery') ?>
    <?= $this->fetch('meta') ?>
    <?= $this->fetch('css') ?>
    <?= $this->fetch('script') ?>
</head>
<body>
    <div class="container">
        <div class="panel panel-default main">
            <header>
                <div class="row header">
                    <div class="col-md-10">
                        <div class="pull-left">
                            <span class="logo text-primary">Emplois.<span class="text-danger">com</span></span>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="pull-right">
                            <?php echo $this->Html->link($this->Html->tag('i', '', array('class' => 'fa fa-plus')).' Ajouter',array('controller'=>'offres','action'=>'add'),array('escape' => false,'class'=>'btn btn-success','id'=>'addBtn'));?></span>
                        </div>
                    </div>
                </div>
            </header>
            <nav class="navbar navbar-default">
                <div class="container-fluid">
                    <!-- Brand and toggle get grouped for better mobile display -->
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                    </div>
                    <!-- Collect the nav links, forms, and other content for toggling -->
                    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                        <ul class="nav navbar-nav">
                            <li><?php echo $this->Html->link($this->Html->tag('i', '', array('class' => 'fa fa-home')).'Accueil',array('controller'=>'offres','action'=>'index'),array('escape' => false));?><span class="sr-only"></span></li>
                            <li><?php echo $this->Html->link($this->Html->tag('i', '', array('class' => 'fa fa-search')).'Offres',array('controller'=>'offres','action'=>'browse'),array('escape' => false));?></li>
                            <?php if ($authUser):?>
                            <li><?php echo $this->Html->link($this->Html->tag('i', '', array('class' => 'fa fa-sign-out')).$authUser['username'].' Déconnexion',array('controller'=>'users','action'=>'logout'),array('escape' => false));?></li>
                            <?php else:?>
                            <li><?php echo $this->Html->link($this->Html->tag('i', '', array('class' => 'fa fa-user-plus')).'Inscription',array('controller'=>'users','action'=>'register'),array('escape' => false));?></li>
                            <li><?php echo $this->Html->link($this->Html->tag('i', '', array('class' => 'fa fa-sign-in')).'Connexion',array('controller'=>'users','action'=>'login'),array('escape' => false));?></li>
                            <?php endif;?>
                        </ul>
                    </div><!-- /.navbar-collapse -->
                </div><!-- /.container-fluid -->
            </nav>
            <div class="row">
                <div class="col-md-12">
                    <?php echo $this->Flash->render();?>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <?= $this->fetch('content') ?>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <footer>
                        <p class="center">&copy DarijaCoding 2017 Tous droits réservés</p>
                    </footer>
                </div>
            </div>
        </div>
    </div>
</body>
<script type="text/javascript" src="js/bootstrap.min.js"></script>
</html>